org.springframework.data.jdbc.core.convert

## Class JdbcValue

- java.lang.Object
- - org.springframework.data.jdbc.core.convert.JdbcValue

    public final class JdbcValue
    extends Object

Wraps a value with the JDBCType that should be used to pass it as a bind parameter to a `PreparedStatement`. Register a converter from any type to `JdbcValue` in order to control the value and the `JDBCType` as which a value should get passed to the JDBC driver.

Since:
  1.1
Author:
  Jens Schauder

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`JDBCType` `getJdbcType()`
`Object` `getValue()`
`int` `hashCode()`
`static JdbcValue` `of(Object value, JDBCType jdbcType)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static JdbcValue of(@Nullable
                               Object value,
                               @Nullable
                               JDBCType jdbcType)

#### getValue

    @Nullable
    public Object getValue()

#### getJdbcType

    @Nullable
    public JDBCType getJdbcType()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`